javax.xml.bind.annotation

## Enum XmlAccessOrder

- java.lang.Object
- - java.lang.Enum<XmlAccessOrder>
  - - javax.xml.bind.annotation.XmlAccessOrder

- All Implemented Interfaces:
    Serializable, Comparable<XmlAccessOrder>

      public enum XmlAccessOrder
      extends Enum<XmlAccessOrder>

  Used by XmlAccessorOrder to control the ordering of properties and fields in a JAXB bound class.
  Since:
    JAXB2.0
  See Also:
    `XmlAccessorOrder`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALPHABETICAL` | The ordering of fields and properties in a class is in alphabetical order as determined by the method java.lang.String.compareTo(String anotherString).
    `UNDEFINED` | The ordering of fields and properties in a class is undefined.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static XmlAccessOrder` | `valueOf(String name)` | Returns the enum constant of this type with the specified name.
    `static XmlAccessOrder[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final XmlAccessOrder UNDEFINED

      The ordering of fields and properties in a class is undefined.

    - #### ALPHABETICAL

          public static final XmlAccessOrder ALPHABETICAL

      The ordering of fields and properties in a class is in alphabetical order as determined by the method java.lang.String.compareTo(String anotherString).

  - ### Method Detail

    - #### values

          public static XmlAccessOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XmlAccessOrder c : XmlAccessOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XmlAccessOrder valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.